local _, cfg = ... --export config
local addon, ns = ... --get addon namespace

--[[
Note to users new to a config.lua file:
	This is a file intended to provide configuration options,you edit these files quite simply. Make a change and 
save the file. You can even edit the files while the game is loaded, just change the value save it then type /reload
or /rl into the game chat to realod the user interface.
	I highly recommend keeping all the punctuation in the same place as it can cause errors if you accident;y remove
a comma.

Regards:
10leej aka Eomi < Jehoovas Witnesses > US - Uther
]]
--Module Control
cfg.Clock			= true 	--The clock
cfg.WatchFrame		= true 	--Watch frame mover (aka quest frame, the tracklist, ect)
cfg.ZoneText		= true 	--the zone text


cfg.font = "Fonts\\ARIALN.ttf" --BobUI's base font
cfg.style = "THINOUTLINE" 	--OUTLINE, MONOCHROME, or nil


cfg.bordersize = { --adjustable border sizes
	large = 12,
	medium = 10,
	small = 8, --smaller frames like the nameplates
}
cfg.BorderTexture = "default" --default, white [[This function does not support aura frames at this time]]

--Minimap size
cfg.minimap = {
	position = {'TOPRIGHT',UIParent,-2,-2},
	width = 150,			
	height = 150,
	MouseButton = "RightButton", --LeftButton, RightButton, MiddleButton
}
--Zone text
cfg.zone = {
	position = {"TOP", UIParent, "TOP", 0, 0},
	fontsize = 12,
	justify = "CENTER",
}
--Time
cfg.time = {
	position = {"TOP", UIParent, "TOP", 0, -6},
	fontsize = 12,
}
--WatchFrame
cfg.watch = {
	position = {'RIGHT',UIParent,-72,0},
	height = 300,
	combatcollaps = true, --collapses watch frame in combat so it's not in the way
}